import PropTypes from 'prop-types'

function IFComponent(props) {
  const { IF, ELSE } = props
  return IF ? props.children : (ELSE || null)
}

IFComponent.propTypes = {
  // 必须是 bool 或者 数字，否则可能会不能正确渲染，比如是 undefined 时候，组件好像就不会更新
  IF: PropTypes.oneOfType([PropTypes.bool, PropTypes.number]).isRequired,
  ELSE: PropTypes.node
}

IFComponent.defaultProps = {
  IF: true
}

export default IFComponent
